/* write.c
 * SommerCampus 2006 */

#include "user.h"

#include <stdlib.h>

int main(int argc, char **argv)
{
	int i,n;
	user *user_records;
	FILE *fp;
	
	if(argc != 3)
	{
		fprintf(stderr, "usage: %s number_of_records filename\n", argv[0]);
		return 1;
	}

	if( (n = atoi(argv[1])) < 0)
	{
		fprintf(stderr, "Wrong number of records\n");
		return 1;
	}

	user_records = malloc(sizeof(user) * n);

	if(!user_records)
	{
		fprintf(stderr, "Not enough memory\n");
		return 1;
	}

	for(i=0; i<n; ++i)
	{
		input_user(&user_records[i]);
		printf("\n========\n\n");
	}

	fp = fopen(argv[2], "ab");

	if(!fp)
	{
		fprintf(stderr, "%s could not be opened\n", argv[2]);
		free(user_records);
		return 1;
	}

	i = fwrite(user_records, sizeof(user), n, fp);
	/* Schreib in fp n Elemente der Gre sizeof(user) von
	 * Speicher Block user_records */

	if(i != n)
	{
		fprintf(stderr, "!!! The file could no be written completely\n");
	}

	printf("%d out of %d bytes written\n", i * sizeof(user), n * sizeof(user));
	

	fclose(fp);

	free(user_records);
	
	return 0;
}
